Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.tomcat.osgi
Class Activator

    java.lang.Object
      com.intel.cosbench.tomcat.osgi.Activator

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class Activator

extends java.lang.Object
implements org.osgi.framework.BundleActivator

The bundle activator for tomcat.

Author:
  ywang19

Constructor Summary
`Activator()`

Method Summary
`void` | `start(org.osgi.framework.BundleContext context)` the entry point to start up one bundle.
`void` | `stop(org.osgi.framework.BundleContext context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Activator

    public Activator()

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  the entry point to start up one bundle.

  This method will find configuration file following below order: 1. through java command line option "-Dcosbench.tomcat.config", 2. "tomcat-server.xml" in current folder, 3. "tomcat-server.xml" in conf/ folder, 4. predefined default configuration file: - on unix like environment, it's "/etc/cosbench/tomcat-server.xml" - on windows environment, it's "c:\\tomcat-server.xml"

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`
  See Also:
    `BundleActivator.start(org.osgi.framework.BundleContext)`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD